aboutsummaryrefslogtreecommitdiff
path: root/net.Linux/tuntap.sh
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2007-04-10 10:33:44 +0000
committerRoy Marples <roy@marples.name>2007-04-10 10:33:44 +0000
commit0c98067d57606c59866e9ff35f2a6aedaaedaf76 (patch)
tree6cb5a27b2e26d8c669770b3ff3b2516ff2e3db98 /net.Linux/tuntap.sh
parentc5ddc6ef74460f72ea56350c6ff002c9630f6552 (diff)
Misc network fixes so we work on my stable server. Splash plugin removed as splashtuils-1.4 now ships with its own.
Diffstat (limited to 'net.Linux/tuntap.sh')
-rw-r--r--net.Linux/tuntap.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/net.Linux/tuntap.sh b/net.Linux/tuntap.sh
index 829bf138..ba9b2e87 100644
--- a/net.Linux/tuntap.sh
+++ b/net.Linux/tuntap.sh
@@ -17,9 +17,9 @@ tuntap_pre_start() {
[ -z "${tuntap}" ] && return 0
- if [ ! -a /dev/net/tun ] ; then
+ if [ ! -e /dev/net/tun ] ; then
modprobe tun && sleep 1
- if [ ! -a /dev/net/tun ] ; then
+ if [ ! -e /dev/net/tun ] ; then
eerror "TUN/TAP support is not present in this kernel"
return 1
fi
@@ -37,7 +37,7 @@ tuntap_pre_start() {
eval opts=\$tunctl_${IFVAR}
tunctl ${opts} -t "${IFACE}" >/dev/null
fi
- eend $? && save_options tuntap "${tuntap}"
+ eend $? && _up && save_options tuntap "${tuntap}"
}
tuntap_post_stop() {